Bug 1261461 (CVE-2015-7504, xsa162) - CVE-2015-7504 Qemu: net: pcnet: heap overflow vulnerability in pcnet_receive
Summary: CVE-2015-7504 Qemu: net: pcnet: heap overflow vulnerability in pcnet_receive
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-7504, xsa162
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20151130,repo...
: 1274344 (view as bug list)
Depends On: 1286547 1286543 1286544 1286545 1286597 1287942 1287950
Blocks: 1261467 1274348
TreeView+ depends on / blocked
 
Reported: 2015-09-09 11:40 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A heap-based buffer overflow flaw was discovered in the way QEMU's AMD PC-Net II Ethernet Controller emulation received certain packets in loopback mode. A privileged user (with the CAP_SYS_RAWIO capability) inside a guest could use this flaw to crash the host QEMU process (resulting in denial of service) or, potentially, execute arbitrary code with privileges of the host QEMU process.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:43:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2694 normal SHIPPED_LIVE Important: qemu-kvm security update 2015-12-22 20:27:09 UTC
Red Hat Product Errata RHSA-2015:2695 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2015-12-22 20:27:03 UTC
Red Hat Product Errata RHSA-2015:2696 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2015-12-22 20:26:57 UTC

Description Adam Mariš 2015-09-09 11:40:02 UTC
Qemu emulator built with the AMD PC-Net II Ethernet Controller support is vulnerable to a heap buffer overflow flaw. While receiving packets in the loopback mode, it appends CRC code to the receive buffer. If the data size
given is same as the receive buffer size, the appended CRC code overwrites 4 bytes beyond this 's->buffer' array.

A privileged(CAP_SYS_RAWIO) user inside guest could use this flaw to crash
the Qemu instance resulting in DoS or potentially execute arbitrary code
with privileges of the Qemu process on the host.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=837f21aacf5a714c23ddaadbbc5212f9

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/11/30/2
  -> http://www.openwall.com/lists/oss-security/2015/11/30/5

Comment 3 Prasad J Pandit 2015-11-20 12:17:06 UTC
Statement: 

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7 as they do not enable the pcnet backend driver.

This issue does not affect the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5, the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3. Future updates for the respective releases may address this flaw.

Please note that AMD PCNet adapter has to be explicitly enabled per-guest as it is not enabled in default configuration and is not supported by Red Hat in Red Hat Enterprise Linux 6 (for a list of supported devices please consult https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization_Administration_Guide/sect-whitelist-device-options.html).

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and
maintenance life cycle. Though this has been rated as having Important security
impact and is not currently planned to be addressed in future updates. For
additional information, refer to the Red Hat Enterprise Linux Life
Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 4 Prasad J Pandit 2015-11-20 12:19:37 UTC
Acknowledgements:

This issue was independently discovered by Qinghao Tang of QIHU 360 Marvel Team and Ling Liu of Qihoo 360 Inc.

Comment 5 Prasad J Pandit 2015-11-25 11:07:42 UTC
*** Bug 1274344 has been marked as a duplicate of this bug. ***

Comment 6 Prasad J Pandit 2015-11-30 08:32:37 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1286544]

Comment 7 Prasad J Pandit 2015-11-30 08:33:05 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1286543]
Affects: epel-5 [bug 1286545]
Affects: epel-7 [bug 1286547]

Comment 11 Fedora Update System 2015-12-17 07:26:16 UTC
xen-4.5.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-12-17 07:30:01 UTC
qemu-2.4.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-12-20 00:22:20 UTC
xen-4.5.2-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2015-12-22 15:27:19 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2015:2696 https://rhn.redhat.com/errata/RHSA-2015-2696.html

Comment 15 errata-xmlrpc 2015-12-22 15:28:27 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6

Via RHSA-2015:2695 https://rhn.redhat.com/errata/RHSA-2015-2695.html

Comment 16 errata-xmlrpc 2015-12-22 15:29:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2694 https://rhn.redhat.com/errata/RHSA-2015-2694.html


Note You need to log in before you can comment on or make changes to this bug.